<script lang="ts">
import Vue from 'vue';
import { MrktoForm } from '~/components/common/index.vue';

export default Vue.extend({
  name: 'CodeSuggestionsSalesFormWrapper',
  components: { MrktoForm },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  methods: {
    onFormSubmit() {
      this.$emit('submit');
    },
  },
});
</script>

<template>
  <div class="code-suggestions-sales-form-wrapper">
    <div
      class="code-suggestions-sales-form-wrapper__blurb"
      v-html="$md.render(data.blurb)"
    ></div>
    <MrktoForm
      :data="data"
      class="code-suggestions-sales-form-wrapper__form"
      @submit="onFormSubmit"
    />
  </div>
</template>

<style lang="scss" scoped>
.code-suggestions-sales-form-wrapper {
  border: 1px solid $color-primary-100;
  border-radius: 8px;

  background-color: $color-primary-300;
  padding: $spacing-32;
  &__form {
  }
  :deep .form_column {
    padding: 0 !important;
    margin-bottom: 0 !important;
    .form_container {
      border: 0;
      padding: 0 !important;
      .mktoForm .mktoRequiredField label.mktoLabel {
        text-transform: lowercase !important;
      }

      .mktoForm_container {
        .mktoButtonRow .mktoButtonWrap button {
          max-width: 180px;
          margin-bottom: 0;
        }

        #InstructgitLabSubscriptionName,
        #InstructEmail {
          display: block;
          margin-bottom: 8px;
        }
      }
    }
  }
  &__blurb {
    :deep {
      p:first-of-type strong {
        font-family: Inter;
        font-size: 32px;
        font-style: normal;
        font-weight: 600;
        line-height: 40px;
        letter-spacing: -0.96px;
      }

      .header-anchor {
        display: none;
      }
      p {
        margin: 16px 0;
      }
      blockquote {
        color: $color-surface-500;
        font-family: Inter;
        font-size: 14px;
        font-style: italic;
        font-weight: 400;
        line-height: 20px;
        margin-bottom: 24px;
      }
      sup {
        font-size: 20px;
        font-style: normal;
        font-weight: 600;
        line-height: 24px;
      }
    }
  }
}
</style>
